%global momorel 1

Summary: Tools for reading Macintosh HFS+ volumes
Name: hfsplusutils
Version: 1.0.4
Release: %{momorel}m%{?dist}

License: GPL
Group: Applications/File
URL: ftp://ftp.penguinppc.org/users/hasi/hfsplus_1.0.4.src.tar.bz2
Source0: ftp://ftp.penguinppc.org/users/hasi/hfsplus_%{version}.src.tar.bz2
Source10: http://darwinsource.opendarwin.org/tarballs/apsl/diskdev_cmds-332.11.tar.gz
Patch0: hfsplusutils-1.0.4-nullisnotachar.patch
Patch1: hfsplusutils-1.0.4-errno.patch
Patch2: hfsplusutils-1.0.4-includes.patch
Patch3: hfsplusutils-1.0.4-gcc4.patch
Patch10: http://dev.gentoo.org/~josejx/diskdev_cmds-332.11.patch.bz2
Patch11: diskdev_cmds-332.11-option.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: automake14, autoconf, libtool
%description
This package is a set of tools that allow access to HFS+ formatted
volumes. HFS+ is a modernized version of Apple Computers HFS
Filesystem.

%prep
%setup -q -n hfsplus-1.0.4 -a 10

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
(cd diskdev_cmds-332.11
%patch10 -p1
%patch11 -p1
)

%build
aclocal-1.4
autoconf
autoheader
automake-1.4 -a
%{configure} --disable-shared
%make
(cd diskdev_cmds-332.11
make -f Makefile.lnx
)

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} SUBDIRS=src transform="" install
mkdir -p %{buildroot}/sbin
mv  %{buildroot}/%{_bindir}/hpfsck %{buildroot}/sbin/hpfsck
#ln -sf hpfsck %{buildroot}/sbin/fsck.hfsplus
# Remove zero-length doc file
rm -f mail/extents.diff
mkdir -p %{buildroot}/%{_mandir}/man1
gzip -c < doc/man/hfsp.man > %{buildroot}/%{_mandir}/man1/hfsp.1.gz
for a in hpcd hpcopy hpfsck hpls hpmkdir hpmount hppwd hprm hpumount fsck.hfsplus ; do
	ln -sf hfsp.1.gz %{buildroot}/%{_mandir}/man1/$a.1.gz
done
(cd diskdev_cmds-332.11
install -m755 newfs_hfs.tproj/newfs_hfs %{buildroot}/sbin/mkfs.hfsplus
install -m755 fsck_hfs.tproj/fsck_hfs %{buildroot}/sbin/fsck.hfsplus
)

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
/sbin/mkfs.hfsplus
/sbin/fsck.hfsplus
/sbin/hpfsck
%{_bindir}/hpcd
%{_bindir}/hpcopy
%{_bindir}/hpls
%{_bindir}/hpmkdir
%{_bindir}/hpmount
%{_bindir}/hppwd
%{_bindir}/hprm
%{_bindir}/hpumount
%{_mandir}/man1/*
%doc doc/*.html
%doc mail
%doc AUTHORS NEWS README


%changelog
* Sun Mar 19 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.0.4-1m)
- import from fedora extra devel.
- add working fsck.hfsplus

* Tue Mar  7 2006 David Woodhouse <dwmw2@infradead.org> 1.0.4-6
- Rebuild

* Sat Apr 30 2005 David Woodhouse <dwmw2@infradead.org> 1.0.4-5
- Fix pointer abuse which GCC 4 doesn't like. Yes, the workaround
  is ugly as sin, but it is at least valid C. Apart from the bit 
  about arithmetic on void *, but GCC is happy with that :)

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Feb 22 2005 David Woodhouse <dwmw2@infradead.org> 1.0.4-3
- Include man page
- Remove zero-length diff file in documentation
- BuildRequires for all the auto* mess

* Mon Feb 21 2005 David Woodhouse <dwmw2@infradead.org> 1.0.4-2
- Include fsck.hfsplus symlink
- Fix kernel header inclusion

* Sun Apr 11 2004 David Woodhouse <dwmw2@redhat.com> 1.0.4-1
- Initial build.

